$font-stack: Verdana, Arial, Helvetica, sans-serif;
$primary-color: rgba(17, 94, 219, 0.9);
$page-width: 1080px;
$page-divider: 320px;

body {
    font: $font-stack;
    color: $primary-color;
}

h1 {
    text-align: center;

    &:hover {
        background-color: lighten($primary-color, 50%);
    }
}

.container {
    display: flex;
    justify-content: flex-start;

    aside {
        width: 100% * $page-divider / $page-width;
    }

    main {
        width: 100% * ($page-width - $page-divider) / $page-width;
    }
}

nav {
    ul {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    li {
        display: inline-block;
    }

    a {
        display: block;
        padding: 6px 12px;
        text-decoration: none;
    }
}